package com.datarecovery.master.data.api.response;

import androidx.annotation.IntDef;

import com.google.gson.annotations.SerializedName;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

public class CustomerUrlResponse {

    @SerializedName("customerUrl")
    private String customerUrl;

    @SerializedName("method")
    private int method;

    @IntDef({CustomerMethod.METHOD_ALI, CustomerMethod.METHOD_WX, CustomerMethod.METHOD_QIYU})
    @Retention(RetentionPolicy.SOURCE)
    public @interface CustomerMethod {
        int METHOD_ALI = 1;
        int METHOD_WX = 2;
        int METHOD_QIYU = 3;
    }

    @CustomerMethod
    public int getMethod() {
        return method;
    }

    public String getCustomerUrl() {
        return customerUrl;
    }
}
